diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/image-edit.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/image-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/image-edit.php	2013-07-05 10:45:43.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/image-edit.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 467,474 ****
  	$h = $size['height'];
  
  	$ratio = _image_get_preview_ratio( $w, $h );
! 	$w2 = $w * $ratio;
! 	$h2 = $h * $ratio;
  
  	if ( is_wp_error( $img->resize( $w2, $h2 ) ) )
  		return false;
--- 467,474 ----
  	$h = $size['height'];
  
  	$ratio = _image_get_preview_ratio( $w, $h );
! 	$w2 = max ( 1, $w * $ratio );
! 	$h2 = max ( 1, $h * $ratio );
  
  	if ( is_wp_error( $img->resize( $w2, $h2 ) ) )
  		return false;
***************
*** 499,504 ****
--- 499,505 ----
  			if ( defined('IMAGE_EDIT_OVERWRITE') && IMAGE_EDIT_OVERWRITE ) {
  				// delete only if it's edited image
  				if ( preg_match('/-e[0-9]{13}\./', $parts['basename']) ) {
+ 					/** This filter is documented in wp-admin/custom-header.php */
  					$delpath = apply_filters('wp_delete_file', $file);
  					@unlink($delpath);
  				}
***************
*** 522,527 ****
--- 523,529 ----
  				if ( defined('IMAGE_EDIT_OVERWRITE') && IMAGE_EDIT_OVERWRITE ) {
  					// delete only if it's edited image
  					if ( preg_match('/-e[0-9]{13}-/', $meta['sizes'][$default_size]['file']) ) {
+ 						/** This filter is documented in wp-admin/custom-header.php */
  						$delpath = apply_filters( 'wp_delete_file', path_join($parts['dirname'], $meta['sizes'][$default_size]['file']) );
  						@unlink($delpath);
  					}
***************
*** 722,727 ****
--- 724,730 ----
  	}
  
  	if ( $delete ) {
+ 		/** This filter is documented in wp-admin/custom-header.php */
  		$delpath = apply_filters('wp_delete_file', $new_path);
  		@unlink( $delpath );
  	}
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/import.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/import.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/import.php	2013-05-27 22:53:59.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/import.php	2013-09-14 14:31:08.000000000 -0500
***************
*** 108,117 ****
  	$popular_importers = get_site_transient( 'popular_importers_' . $locale );
  
  	if ( ! $popular_importers ) {
! 		$url = add_query_arg( 'locale', get_locale(), 'http://api.wordpress.org/core/importers/1.0/' );
  		$options = array( 'user-agent' => 'WordPress/' . $wp_version . '; ' . home_url() );
  		$response = wp_remote_get( $url, $options );
! 		$popular_importers = maybe_unserialize( wp_remote_retrieve_body( $response ) );
  
  		if ( is_array( $popular_importers ) )
  			set_site_transient( 'popular_importers_' . $locale, $popular_importers, 2 * DAY_IN_SECONDS );
--- 108,117 ----
  	$popular_importers = get_site_transient( 'popular_importers_' . $locale );
  
  	if ( ! $popular_importers ) {
! 		$url = add_query_arg( 'locale', get_locale(), 'http://api.wordpress.org/core/importers/1.1/' );
  		$options = array( 'user-agent' => 'WordPress/' . $wp_version . '; ' . home_url() );
  		$response = wp_remote_get( $url, $options );
! 		$popular_importers = json_decode( wp_remote_retrieve_body( $response ), true );
  
  		if ( is_array( $popular_importers ) )
  			set_site_transient( 'popular_importers_' . $locale, $popular_importers, 2 * DAY_IN_SECONDS );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/list-table.php	2012-11-25 21:39:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/list-table.php	2013-09-05 11:34:09.000000000 -0500
***************
*** 95,101 ****
  
  		if ( !empty( $columns ) ) {
  			$this->_columns = $columns;
! 			add_filter( 'manage_' . $screen->id . '_columns', array( &$this, 'get_columns' ), 0 );
  		}
  	}
  
--- 95,101 ----
  
  		if ( !empty( $columns ) ) {
  			$this->_columns = $columns;
! 			add_filter( 'manage_' . $screen->id . '_columns', array( $this, 'get_columns' ), 0 );
  		}
  	}
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/media.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/media.php	2013-07-24 00:47:00.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/media.php	2013-10-08 10:32:10.000000000 -0500
***************
*** 914,931 ****
   * @param array $attachment {@internal $attachment not used}}
   * @return array
   */
! function image_attachment_fields_to_save($post, $attachment) {
! 	if ( substr($post['post_mime_type'], 0, 5) == 'image' ) {
! 		if ( strlen(trim($post['post_title'])) == 0 ) {
! 			$post['post_title'] = preg_replace('/\.\w+$/', '', basename($post['guid']));
! 			$post['errors']['post_title']['errors'][] = __('Empty Title filled from filename.');
  		}
  	}
  
  	return $post;
  }
  
! add_filter('attachment_fields_to_save', 'image_attachment_fields_to_save', 10, 2);
  
  /**
   * {@internal Missing Short Description}}
--- 914,932 ----
   * @param array $attachment {@internal $attachment not used}}
   * @return array
   */
! function image_attachment_fields_to_save( $post, $attachment ) {
! 	if ( substr( $post['post_mime_type'], 0, 5 ) == 'image' ) {
! 		if ( strlen( trim( $post['post_title'] ) ) == 0 ) {
! 			$attachment_url = ( isset( $post['attachment_url'] ) ) ? $post['attachment_url'] : $post['guid'];
! 			$post['post_title'] = preg_replace( '/\.\w+$/', '', wp_basename( $attachment_url ) );
! 			$post['errors']['post_title']['errors'][] = __( 'Empty Title filled from filename.' );
  		}
  	}
  
  	return $post;
  }
  
! add_filter( 'attachment_fields_to_save', 'image_attachment_fields_to_save', 10, 2 );
  
  /**
   * {@internal Missing Short Description}}
***************
*** 1499,1505 ****
   * @param unknown_type $errors
   */
  function media_upload_form( $errors = null ) {
! 	global $type, $tab, $pagenow, $is_IE, $is_opera;
  
  	if ( ! _device_can_upload() ) {
  		echo '<p>' . sprintf( __('The web browser on your device cannot be used to upload files. You may be able to use the <a href="%s">native app for your device</a> instead.'), 'http://wordpress.org/mobile/' ) . '</p>';
--- 1500,1506 ----
   * @param unknown_type $errors
   */
  function media_upload_form( $errors = null ) {
! 	global $type, $tab, $is_IE, $is_opera;
  
  	if ( ! _device_can_upload() ) {
  		echo '<p>' . sprintf( __('The web browser on your device cannot be used to upload files. You may be able to use the <a href="%s">native app for your device</a> instead.'), 'http://wordpress.org/mobile/' ) . '</p>';
***************
*** 2077,2093 ****
  $arc_result = $wpdb->get_results( $arc_query );
  
  $month_count = count($arc_result);
  
  if ( $month_count && !( 1 == $month_count && 0 == $arc_result[0]->mmonth ) ) { ?>
  <select name='m'>
! <option<?php selected( @$_GET['m'], 0 ); ?> value='0'><?php _e('Show all dates'); ?></option>
  <?php
  foreach ($arc_result as $arc_row) {
  	if ( $arc_row->yyear == 0 )
  		continue;
  	$arc_row->mmonth = zeroise( $arc_row->mmonth, 2 );
  
! 	if ( isset($_GET['m']) && ( $arc_row->yyear . $arc_row->mmonth == $_GET['m'] ) )
  		$default = ' selected="selected"';
  	else
  		$default = '';
--- 2078,2095 ----
  $arc_result = $wpdb->get_results( $arc_query );
  
  $month_count = count($arc_result);
+ $selected_month = isset( $_GET['m'] ) ? $_GET['m'] : 0;
  
  if ( $month_count && !( 1 == $month_count && 0 == $arc_result[0]->mmonth ) ) { ?>
  <select name='m'>
! <option<?php selected( $selected_month, 0 ); ?> value='0'><?php _e('Show all dates'); ?></option>
  <?php
  foreach ($arc_result as $arc_row) {
  	if ( $arc_row->yyear == 0 )
  		continue;
  	$arc_row->mmonth = zeroise( $arc_row->mmonth, 2 );
  
! 	if ( $arc_row->yyear . $arc_row->mmonth == $selected_month )
  		$default = ' selected="selected"';
  	else
  		$default = '';
***************
*** 2432,2445 ****
  
  	$att_url = wp_get_attachment_url( $post->ID );
  ?>
! 	<div class="misc-pub-section">
  			<label for="attachment_url"><?php _e( 'File URL:' ); ?></label>
  			<input type="text" class="widefat urlfield" readonly="readonly" name="attachment_url" value="<?php echo esc_attr($att_url); ?>" />
  	</div>
! 	<div class="misc-pub-section">
  		<?php _e( 'File name:' ); ?> <strong><?php echo $filename; ?></strong>
  	</div>
! 	<div class="misc-pub-section">
  		<?php _e( 'File type:' ); ?> <strong><?php
  			if ( preg_match( '/^.*?\.(\w+)$/', get_attached_file( $post->ID ), $matches ) )
  				echo esc_html( strtoupper( $matches[1] ) );
--- 2434,2447 ----
  
  	$att_url = wp_get_attachment_url( $post->ID );
  ?>
! 	<div class="misc-pub-section misc-pub-attachment">
  			<label for="attachment_url"><?php _e( 'File URL:' ); ?></label>
  			<input type="text" class="widefat urlfield" readonly="readonly" name="attachment_url" value="<?php echo esc_attr($att_url); ?>" />
  	</div>
! 	<div class="misc-pub-section misc-pub-filename">
  		<?php _e( 'File name:' ); ?> <strong><?php echo $filename; ?></strong>
  	</div>
! 	<div class="misc-pub-section misc-pub-filetype">
  		<?php _e( 'File type:' ); ?> <strong><?php
  			if ( preg_match( '/^.*?\.(\w+)$/', get_attached_file( $post->ID ), $matches ) )
  				echo esc_html( strtoupper( $matches[1] ) );
***************
*** 2448,2466 ****
  		?></strong>
  	</div>
  
! <?php
! 	if ( preg_match( '#^audio|video#', $post->post_mime_type ) ):
  
! 		$fields = array(
! 			'mime_type' => __( 'Mime-type:' ),
! 			'year' => __( 'Year:' ),
! 			'genre' => __( 'Genre:' ),
  			'length_formatted' => __( 'Length:' ),
! 		);
  
  		foreach ( $fields as $key => $label ):
  			if ( ! empty( $meta[$key] ) ) : ?>
! 		<div class="misc-pub-section">
  			<?php echo $label ?> <strong><?php echo esc_html( $meta[$key] ); ?></strong>
  		</div>
  	<?php
--- 2450,2500 ----
  		?></strong>
  	</div>
  
! 	<?php
! 		$file  = get_attached_file( $post->ID );
! 		$file_size = false;
! 
! 		if ( isset( $meta['filesize'] ) )
! 			$file_size = $meta['filesize'];
! 		elseif ( file_exists( $file ) )
! 			$file_size = filesize( $file );
! 
! 		if ( ! empty( $file_size ) ) : ?>
! 			<div class="misc-pub-section misc-pub-filesize">
! 				<?php _e( 'File size:' ); ?> <strong><?php echo size_format( $file_size ); ?></strong>
! 			</div>
! 			<?php
! 		endif;
  
! 	if ( preg_match( '#^(audio|video)#', $post->post_mime_type ) ):
! 
! 		/**
! 		 * Audio and video metadata fields to be shown in the publish meta box.
! 		 *
! 		 * The key for each item in the array should correspond to an attachment
! 		 * metadata key, and the value should be the desired label.
! 		 *
! 		 * @since  3.7.0
! 		 *
! 		 * @param array $fields {
! 		 *     An array of the attachment metadata keys and labels.
! 		 *
! 		 *     @type string 'mime_type'        Label to be shown before the field mime_type.
! 		 *     @type string 'year'             Label to be shown before the field year.
! 		 *     @type string 'genre'            Label to be shown before the field genre.
! 		 *     @type string 'length_formatted' Label to be shown before the field length_formatted.
! 		 * }
! 		 */
! 		$fields = apply_filters( 'media_submitbox_misc_sections', array(
! 			'mime_type'        => __( 'Mime-type:' ),
! 			'year'             => __( 'Year:' ),
! 			'genre'            => __( 'Genre:' ),
  			'length_formatted' => __( 'Length:' ),
! 		) );
  
  		foreach ( $fields as $key => $label ):
  			if ( ! empty( $meta[$key] ) ) : ?>
! 		<div class="misc-pub-section misc-pub-mime-meta misc-pub-<?php echo sanitize_html_class( $key ); ?>">
  			<?php echo $label ?> <strong><?php echo esc_html( $meta[$key] ); ?></strong>
  		</div>
  	<?php
***************
*** 2468,2474 ****
  		endforeach;
  
  		if ( ! empty( $meta['bitrate'] ) ) : ?>
! 		<div class="misc-pub-section">
  			<?php _e( 'Bitrate:' ); ?> <strong><?php
  				echo round( $meta['bitrate'] / 1000 ), 'kb/s';
  
--- 2502,2508 ----
  		endforeach;
  
  		if ( ! empty( $meta['bitrate'] ) ) : ?>
! 		<div class="misc-pub-section misc-pub-bitrate">
  			<?php _e( 'Bitrate:' ); ?> <strong><?php
  				echo round( $meta['bitrate'] / 1000 ), 'kb/s';
  
***************
*** 2480,2493 ****
  	<?php
  		endif;
  
! 		$audio_fields = array(
  			'dataformat' => __( 'Audio Format:' ),
! 			'codec' => __( 'Audio Codec:' )
! 		);
  
  		foreach ( $audio_fields as $key => $label ):
  			if ( ! empty( $meta['audio'][$key] ) ) : ?>
! 		<div class="misc-pub-section">
  			<?php echo $label; ?> <strong><?php echo esc_html( $meta['audio'][$key] ); ?></strong>
  		</div>
  	<?php
--- 2514,2542 ----
  	<?php
  		endif;
  
! 		/**
! 		 * Audio attachment metadata fields to be shown in the publish meta box.
! 		 *
! 		 * The key for each item in the array should correspond to an attachment
! 		 * metadata key, and the value should be the desired label.
! 		 *
! 		 * @since  3.7.0
! 		 *
! 		 * @param array $fields {
! 		 *     An array of the attachment metadata keys and labels.
! 		 *
! 		 *     @type string 'dataformat' Label to be shown before the field dataformat.
! 		 *     @type string 'codec'      Label to be shown before the field codec.
! 		 * }
! 		 */
! 		$audio_fields = apply_filters( 'audio_submitbox_misc_sections', array(
  			'dataformat' => __( 'Audio Format:' ),
! 			'codec'      => __( 'Audio Codec:' )
! 		) );
  
  		foreach ( $audio_fields as $key => $label ):
  			if ( ! empty( $meta['audio'][$key] ) ) : ?>
! 		<div class="misc-pub-section misc-pub-audio misc-pub-<?php echo sanitize_html_class( $key ); ?>">
  			<?php echo $label; ?> <strong><?php echo esc_html( $meta['audio'][$key] ); ?></strong>
  		</div>
  	<?php
***************
*** 2497,2503 ****
  	endif;
  
  	if ( $media_dims ) : ?>
! 	<div class="misc-pub-section">
  		<?php _e( 'Dimensions:' ); ?> <strong><?php echo $media_dims; ?></strong>
  	</div>
  <?php
--- 2546,2552 ----
  	endif;
  
  	if ( $media_dims ) : ?>
! 	<div class="misc-pub-section misc-pub-dimensions">
  		<?php _e( 'Dimensions:' ); ?> <strong><?php echo $media_dims; ?></strong>
  	</div>
  <?php
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/meta-boxes.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/meta-boxes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/meta-boxes.php	2013-07-29 14:52:00.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/meta-boxes.php	2013-10-02 16:11:10.000000000 -0500
***************
*** 55,61 ****
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section"><label for="post_status"><?php _e('Status:') ?></label>
  <span id="post-status-display">
  <?php
  switch ( $post->post_status ) {
--- 55,61 ----
  
  <div id="misc-publishing-actions">
  
! <div class="misc-pub-section misc-pub-post-status"><label for="post_status"><?php _e('Status:') ?></label>
  <span id="post-status-display">
  <?php
  switch ( $post->post_status ) {
***************
*** 105,111 ****
  <?php } ?>
  </div><!-- .misc-pub-section -->
  
! <div class="misc-pub-section" id="visibility">
  <?php _e('Visibility:'); ?> <span id="post-visibility-display"><?php
  
  if ( 'private' == $post->post_status ) {
--- 105,111 ----
  <?php } ?>
  </div><!-- .misc-pub-section -->
  
! <div class="misc-pub-section misc-pub-visibility" id="visibility">
  <?php _e('Visibility:'); ?> <span id="post-visibility-display"><?php
  
  if ( 'private' == $post->post_status ) {
***************
*** 138,144 ****
  <span id="sticky-span"><input id="sticky" name="sticky" type="checkbox" value="sticky" <?php checked( is_sticky( $post->ID ) ); ?> /> <label for="sticky" class="selectit"><?php _e( 'Stick this post to the front page' ); ?></label><br /></span>
  <?php endif; ?>
  <input type="radio" name="visibility" id="visibility-radio-password" value="password" <?php checked( $visibility, 'password' ); ?> /> <label for="visibility-radio-password" class="selectit"><?php _e('Password protected'); ?></label><br />
! <span id="password-span"><label for="post_password"><?php _e('Password:'); ?></label> <input type="text" name="post_password" id="post_password" value="<?php echo esc_attr($post->post_password); ?>" /><br /></span>
  <input type="radio" name="visibility" id="visibility-radio-private" value="private" <?php checked( $visibility, 'private' ); ?> /> <label for="visibility-radio-private" class="selectit"><?php _e('Private'); ?></label><br />
  
  <p>
--- 138,144 ----
  <span id="sticky-span"><input id="sticky" name="sticky" type="checkbox" value="sticky" <?php checked( is_sticky( $post->ID ) ); ?> /> <label for="sticky" class="selectit"><?php _e( 'Stick this post to the front page' ); ?></label><br /></span>
  <?php endif; ?>
  <input type="radio" name="visibility" id="visibility-radio-password" value="password" <?php checked( $visibility, 'password' ); ?> /> <label for="visibility-radio-password" class="selectit"><?php _e('Password protected'); ?></label><br />
! <span id="password-span"><label for="post_password"><?php _e('Password:'); ?></label> <input type="text" name="post_password" id="post_password" value="<?php echo esc_attr($post->post_password); ?>"  maxlength="20" /><br /></span>
  <input type="radio" name="visibility" id="visibility-radio-private" value="private" <?php checked( $visibility, 'private' ); ?> /> <label for="visibility-radio-private" class="selectit"><?php _e('Private'); ?></label><br />
  
  <p>
***************
*** 174,180 ****
  if ( ! empty( $args['args']['revisions_count'] ) ) :
  	$revisions_to_keep = wp_revisions_to_keep( $post );
  ?>
! <div class="misc-pub-section num-revisions">
  <?php
  	if ( $revisions_to_keep > 0 && $revisions_to_keep <= $args['args']['revisions_count'] ) {
  		echo '<span title="' . esc_attr( sprintf( __( 'Your site is configured to keep only the last %s revisions.' ),
--- 174,180 ----
  if ( ! empty( $args['args']['revisions_count'] ) ) :
  	$revisions_to_keep = wp_revisions_to_keep( $post );
  ?>
! <div class="misc-pub-section misc-pub-revisions">
  <?php
  	if ( $revisions_to_keep > 0 && $revisions_to_keep <= $args['args']['revisions_count'] ) {
  		echo '<span title="' . esc_attr( sprintf( __( 'Your site is configured to keep only the last %s revisions.' ),
***************
*** 190,196 ****
  <?php endif;
  
  if ( $can_publish ) : // Contributors don't get to choose the date of publish ?>
! <div class="misc-pub-section curtime">
  	<span id="timestamp">
  	<?php printf($stamp, $date); ?></span>
  	<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js"><?php _e('Edit') ?></a>
--- 190,196 ----
  <?php endif;
  
  if ( $can_publish ) : // Contributors don't get to choose the date of publish ?>
! <div class="misc-pub-section curtime misc-pub-curtime">
  	<span id="timestamp">
  	<?php printf($stamp, $date); ?></span>
  	<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js"><?php _e('Edit') ?></a>
***************
*** 278,284 ****
  	$stamp = __('Uploaded on: <b>%1$s</b>');
  	$date = date_i18n( $datef, strtotime( $post->post_date ) );
  	?>
! 	<div class="misc-pub-section curtime">
  		<span id="timestamp"><?php printf($stamp, $date); ?></span>
  	</div><!-- .misc-pub-section -->
  
--- 278,284 ----
  	$stamp = __('Uploaded on: <b>%1$s</b>');
  	$date = date_i18n( $datef, strtotime( $post->post_date ) );
  	?>
! 	<div class="misc-pub-section curtime misc-pub-curtime">
  		<span id="timestamp"><?php printf($stamp, $date); ?></span>
  	</div><!-- .misc-pub-section -->
  
***************
*** 506,512 ****
  		unset( $metadata[ $key ] );
  }
  list_meta( $metadata );
! meta_form(); ?>
  </div>
  <p><?php _e('Custom fields can be used to add extra metadata to a post that you can <a href="http://codex.wordpress.org/Using_Custom_Fields" target="_blank">use in your theme</a>.'); ?></p>
  <?php
--- 506,512 ----
  		unset( $metadata[ $key ] );
  }
  list_meta( $metadata );
! meta_form( $post ); ?>
  </div>
  <p><?php _e('Custom fields can be used to add extra metadata to a post that you can <a href="http://codex.wordpress.org/Using_Custom_Fields" target="_blank">use in your theme</a>.'); ?></p>
  <?php
***************
*** 702,708 ****
  </div>
  
  <div id="misc-publishing-actions">
! <div class="misc-pub-section">
  	<label for="link_private" class="selectit"><input id="link_private" name="link_visible" type="checkbox" value="N" <?php checked($link->link_visible, 'N'); ?> /> <?php _e('Keep this link private') ?></label>
  </div>
  </div>
--- 702,708 ----
  </div>
  
  <div id="misc-publishing-actions">
! <div class="misc-pub-section misc-pub-private">
  	<label for="link_private" class="selectit"><input id="link_private" name="link_visible" type="checkbox" value="N" <?php checked($link->link_visible, 'N'); ?> /> <?php _e('Keep this link private') ?></label>
  </div>
  </div>
***************
*** 962,972 ****
  <table class="links-table" cellpadding="0">
  	<tr>
  		<th scope="row"><label for="link_image"><?php _e('Image Address') ?></label></th>
! 		<td><input type="text" name="link_image" class="code" id="link_image" value="<?php echo ( isset( $link->link_image ) ? esc_attr($link->link_image) : ''); ?>" /></td>
  	</tr>
  	<tr>
  		<th scope="row"><label for="rss_uri"><?php _e('RSS Address') ?></label></th>
! 		<td><input name="link_rss" class="code" type="text" id="rss_uri" value="<?php echo ( isset( $link->link_rss ) ? esc_attr($link->link_rss) : ''); ?>" /></td>
  	</tr>
  	<tr>
  		<th scope="row"><label for="link_notes"><?php _e('Notes') ?></label></th>
--- 962,972 ----
  <table class="links-table" cellpadding="0">
  	<tr>
  		<th scope="row"><label for="link_image"><?php _e('Image Address') ?></label></th>
! 		<td><input type="text" name="link_image" class="code" id="link_image" maxlength="255" value="<?php echo ( isset( $link->link_image ) ? esc_attr($link->link_image) : ''); ?>" /></td>
  	</tr>
  	<tr>
  		<th scope="row"><label for="rss_uri"><?php _e('RSS Address') ?></label></th>
! 		<td><input name="link_rss" class="code" type="text" id="rss_uri" maxlength="255" value="<?php echo ( isset( $link->link_rss ) ? esc_attr($link->link_rss) : ''); ?>" /></td>
  	</tr>
  	<tr>
  		<th scope="row"><label for="link_notes"><?php _e('Notes') ?></label></th>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/misc.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/misc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/misc.php	2013-07-22 00:09:49.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/misc.php	2013-10-15 14:51:10.000000000 -0500
***************
*** 7,24 ****
   */
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.0.0
   *
!  * @return unknown
   */
  function got_mod_rewrite() {
  	$got_rewrite = apache_mod_loaded('mod_rewrite', true);
  	return apply_filters('got_rewrite', $got_rewrite);
  }
  
  /**
   * {@internal Missing Short Description}}
   *
   * @since 1.5.0
--- 7,57 ----
   */
  
  /**
!  * Returns whether the server is running Apache with the mod_rewrite module loaded.
   *
   * @since 2.0.0
   *
!  * @return bool
   */
  function got_mod_rewrite() {
  	$got_rewrite = apache_mod_loaded('mod_rewrite', true);
+ 
+ 	/**
+ 	 * Filter whether Apache and mod_rewrite are present.
+ 	 *
+ 	 * This filter was previously used to force URL rewriting for other servers,
+ 	 * like nginx. Use the got_url_rewrite filter in got_url_rewrite() instead.
+ 	 *
+ 	 * @see got_url_rewrite()
+ 	 *
+ 	 * @since 2.5.0
+ 	 * @param bool $got_rewrite Whether Apache and mod_rewrite are present.
+ 	 */
  	return apply_filters('got_rewrite', $got_rewrite);
  }
  
  /**
+  * Returns whether the server supports URL rewriting.
+  *
+  * Detects Apache's mod_rewrite, IIS 7.0+ permalink support, and nginx.
+  *
+  * @since 3.7.0
+  *
+  * @return bool Whether the server supports URL rewriting.
+  */
+ function got_url_rewrite() {
+ 	$got_url_rewrite = ( got_mod_rewrite() || $GLOBALS['is_nginx'] || iis7_supports_permalinks() );
+ 
+ 	/**
+ 	 * Filter whether URL rewriting is available.
+ 	 *
+ 	 * @since 3.7.0
+ 	 * @param bool $got_url_rewrite Whether URL rewriting is available.
+ 	 */
+ 	return apply_filters( 'got_url_rewrite', $got_url_rewrite );
+ }
+ 
+ /**
   * {@internal Missing Short Description}}
   *
   * @since 1.5.0
***************
*** 263,269 ****
   */
  function show_message($message) {
  	if ( is_wp_error($message) ){
! 		if ( $message->get_error_data() )
  			$message = $message->get_error_message() . ': ' . $message->get_error_data();
  		else
  			$message = $message->get_error_message();
--- 296,302 ----
   */
  function show_message($message) {
  	if ( is_wp_error($message) ){
! 		if ( $message->get_error_data() && is_string( $message->get_error_data() ) )
  			$message = $message->get_error_message() . ': ' . $message->get_error_data();
  		else
  			$message = $message->get_error_message();
